## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  check

%global srcname damo
%global _description %{expand:
damo is a user space tool for DAMON. Using this, you can monitor the data access
patterns of your system or workloads and make data access-aware memory
management optimizations.}

Name:           python-%{srcname}
Version:        2.1.6
Release:        %autorelease
Summary:        Data Access Monitoring Operator

License:        GPL-2.0-only
URL:            https://github.com/awslabs/damo
# PyPI source does not contain tests
# Source:         %%pypi_source
Source:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
# some tests assume 64-bit and fail on ix86
ExclusiveArch:  x86_64 aarch64 ppc64le s390x noarch

%description %{_description}


%package -n %{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%description -n %{srcname} %{_description}


%prep
%autosetup -p 1 -n %{srcname}-%{version}


# from packaging/build.sh
for f in pyproject.toml setup.py; do
  cp -p packaging/$f .
done

mkdir -p src/damo
cp -p *.py src/damo/
cp -p damo src/damo/damo.py
# remove shebang from the newly copied damo.py
sed -i '1{\@^#!/usr/bin/env python@d}' src/damo/damo.py
touch -r damo src/damo/damo.py
touch -r damo src/damo/__init__.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{srcname}


%if %{with check}
%check
%pytest
%endif


%files -n %{srcname} -f %{pyproject_files}
%license COPYING
%doc CONTRIBUTING README.md SECURITY.md USAGE.md release_note
%{_bindir}/%{srcname}


%changelog
* Tue Jan 09 2024 Packit <hello@packit.dev> - 2.1.6-1
- Update to 2.1.6
- Resolves rhbz#2257364

* Mon Jan 01 2024 Packit <hello@packit.dev> - 2.1.5-1
- Update to 2.1.5
- Resolves rhbz#2255867

* Thu Dec 21 2023 Michel Lind <salimma@fedoraproject.org> - 2.1.2-2
- Add newline before the bug resolved

* Mon Dec 18 2023 Packit <hello@packit.dev> - 2.1.2-1
- Update to 2.1.2 - Resolves rhbz#2255148

* Tue Dec 12 2023 Michel Lind <salimma@fedoraproject.org> - 2.1.1-2
- Make Packit mark bugs as resolved

* Tue Dec 12 2023 Packit <hello@packit.dev> - 2.1.1-1
- Update to 2.1.1

* Tue Dec 12 2023 Michel Lind <salimma@fedoraproject.org> - 2.1.0-4
- Override commit-message, not changelog-entry

* Tue Dec 12 2023 Michel Lind <salimma@fedoraproject.org> - 2.1.0-3
- Use Packit only for Rawhide to keep history from diverging

* Tue Dec 12 2023 Miroslav Suchý <msuchy@redhat.com> - 2.1.0-2
- add packit automation for pull_from_upstream

* Mon Dec 11 2023 Michel Lind <salimma@fedoraproject.org> - 2.1.0-1
- Update to 2.1.0

* Thu Nov 09 2023 Michel Lind <salimma@fedoraproject.org> - 2.0.6-1
- Update to 2.0.6

* Tue Sep 26 2023 Michel Lind <salimma@fedoraproject.org> - 2.0.0-1
- Update to 2.0.0

* Mon Sep 18 2023 Michel Lind <salimma@fedoraproject.org> - 1.9.8-1
- Update to 1.9.8

* Tue Sep 05 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.9.7-1
- Update to 1.9.7

* Wed Aug 23 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.9.5-1
- Update to 1.9.5

* Tue Jul 25 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.9.1-1
- Update to 1.9.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 1.8.7-2
- Rebuilt for Python 3.12

* Mon Jun 26 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.7-1
- Update to 1.8.7 (closes: rhbz#2217628)

* Mon Jun 26 2023 Python Maint <python-maint@redhat.com> - 1.8.6-2
- Rebuilt for Python 3.12

* Wed Jun 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.6-1
- Update to 1.8.6

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.8.4-2
- Rebuilt for Python 3.12

* Tue Jun 06 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.4-1
- Update to 1.8.4

* Mon Jun 05 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.3-1
- Update to 1.8.3

* Wed May 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.1-2
- Avoid building on 32-bit platforms

* Wed May 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.8.1-1
- Initial Fedora package
